$(function () {
  $('#click').click(function () {
    if (typeof licznik == 'undefined') {
      licznik = 2;
    } else if (licznik > 5) {
      licznik = 6;
    }
    else {
      licznik = licznik + 1;  
    };   
    $('img').attr({src:'img/10/'+licznik+'.jpg'}).css('opacity','1');
  });
});

